• Welcome to Simple Machines Community Forum. Please login or sign up.
December 05, 2021, 12:08:37 AM

News:

Want to get involved in developing SMF, then why not lend a hand on our github!


Upgrade uspeo nema, MOD-va

Started by vojislavPrijovic, September 08, 2021, 05:56:25 PM

Previous topic - Next topic

vojislavPrijovic

Pozdrav svima posle dužeg vremena.

Naime kako je bilo nekih tehničkih problema zbog kojih je forum bio zatvoren (ustvari suspend na serveru) rešio sam da je zaista neophodno da odradim upgrade na 2.0.18 jer 2.0.12 je pokazivao izuzetnu ranjivost.

Pratio sam detaljno uputstva sve je prošlo kako treba, ali nigde nijednog MOD-a. Na spisku ih je bilo ali da nisu instalirani Pokušao sam instalirati dva za koja sam znao da rade i SimplePortal 2.3.6 radi (čak je povukao sve iz baze što je ranije bilo, tako da nisam isgubio nijedan podatak) a recimo SA Chat iako je provera pre instalacije bila uredu i sama instalacija, sem opcija podešavanja, njega nema pa nema.

Hteo sam da pitam, da li to znači da MOD-ove uvek treba ponovo instalirati posle upgrade-a ili sam možda zaboravio za nešto promeniti dozvolu?

Unapred hvala  :)

efk

Ako ne gresim a to ce neko da potvrdi, ako si isao upgrade sa Large Upgrade 2.0.12 direktno do verzije 18 onda ti brise sve pakete iz liste i znam da ima neka fora da se to opet vrati na listi. Ako si isao verziju po verziju onda ne bi trebalo da imas taj problem.

Dzonny

Tako je, large upgrade uvek briše sve modove, obzirom da zapravo prilikom njega "pregaziš" sve postojeće fajlove. A verzija na verziju, odnosno update, iliti patch verzije ne uklanjaju modove, tako da je uvek lakše i bezbednije raditi update čim izađe verziju za verzijom...

vojislavPrijovic

Da u pravu ste. Inače kad ponovo instaliram MOD povuče sve ranije podatke.
U svakom slučajo to je dobra osobina upgradea jer se time izbegne problem ako neki MOD nije kompatibilan, pogotovo kad se preskače nekoliko verzja.

Hvala Vam prijatelji  :)

efk

Quote from: vojislavPrijovic on September 09, 2021, 03:15:04 PMU svakom slučajo to je dobra osobina upgradea jer se time izbegne problem ako neki MOD nije kompatibilan, pogotovo kad se preskače nekoliko verzja.
Sa 2.0.16 ili 17 verzijom je izasla podrska za PHP 7.1, 2 i 3, tako nekako, a sa 2.0.18  PHP 7.4, tako da tu moze mod da napravi neki problem..

Dzonny

Quote from: vojislavPrijovic on September 09, 2021, 03:15:04 PMInače kad ponovo instaliram MOD povuče sve ranije podatke.
Podaci su ostali u bazi u tabelama, one nisu obrisane, zato su ostali podaci nakon ponovne instalacije :)

Tema označena kao rešena ;)

Advertisement: